Bug 227134 - graphics/colord: add VALA option to build vapi
Summary: graphics/colord: add VALA option to build vapi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-31 13:28 UTC by Greg V
Modified: 2020-09-30 02:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
colord-vala.patch (1.34 KB, patch)
2018-03-31 13:28 UTC, Greg V
no flags Details | Diff
colord-vala.patch v2 (10.63 KB, patch)
2020-09-29 13:30 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-03-31 13:28:58 UTC
Created attachment 192002 [details]
colord-vala.patch

The vapi for colord is expected by the GNOME scanning application https://gitlab.gnome.org/GNOME/simple-scan

While here, separate _DESC variables and adjust tabs.
Comment 1 Greg V 2018-11-01 16:36:08 UTC
ping
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-02-06 10:48:57 UTC
ping!
Comment 3 Greg V 2020-09-29 13:30:16 UTC
Created attachment 218404 [details]
colord-vala.patch v2

Rebased.
Comment 4 commit-hook freebsd_committer 2020-09-29 14:14:37 UTC
A commit references this bug:

Author: swills
Date: Tue Sep 29 14:14:33 UTC 2020
New revision: 550509
URL: https://svnweb.freebsd.org/changeset/ports/550509

Log:
  graphics/colord: add VALA option to build vapi

  PR:		227134
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	maintainer timeout (kwm, long time)

Changes:
  head/graphics/colord/Makefile
  head/graphics/colord/pkg-plist
Comment 5 Steve Wills freebsd_committer 2020-09-30 02:08:03 UTC
Committed, thanks!